<?php
function hitcount_cmp($a, $b) {
  return $a['hits'] == $b['hits'] ? strcmp($a['url'],$b['url']) : $b['hits'] - $a['hits']; 
}

  global $i18n;
  $visits = 0;
  $maxhits = 0;
  $totalhits = 0;
  $hits = array();
  $dir_handle = @opendir(GSDATAOTHERPATH . HITCOUNT_DIR);
  while ($filename = @readdir($dir_handle)) {
    if (!is_dir(GSDATAOTHERPATH . HITCOUNT_DIR . $filename)) {
      if ($filename == 'visits.txt') {
        $lines = file(GSDATAOTHERPATH . HITCOUNT_DIR . $filename);
        $visits = $lines[0];
      } else if (substr($filename, 0, 5) == 'hits_') {
        $url = substr($filename, 5, strlen($filename)-9);
        $lines = file(GSDATAOTHERPATH . HITCOUNT_DIR . $filename);
   			$data = @getXML(GSDATAPAGESPATH . $url . '.xml');
        $hits[] = array('url' => $url, 'hits' => 0+$lines[0], 'title' => ''.@$data->title, 'date' => @$data->pubDate); 
        $totalhits += $lines[0];
        if (0+$lines[0] > $maxhits) $maxhits = 0+$lines[0];
      }
    }
  }
  usort($hits,'hitcount_cmp');
?>
  <h3 class="floated" style="float:left">Hits &amp; Visitors</h3>
  <?php hitcount_show_links('hitcounts'); ?>
  <table id="hits" class="edittable highlight">
  <tr><td><strong>Visits</strong></td><td style="width:10%;text-align:right"><?php echo $visits; ?></td></tr>
  <tr><td><strong>Total number of hits</strong></td><td style="width:10%;text-align:right"><?php echo $totalhits; ?></td></tr>
<?php if (count($hits) > 0) foreach ($hits as $page) { ?>
  <tr>
<?php if ($page['title']) { ?>
    <td><a title="<?php echo $i18n['EDITPAGE_TITLE'].': '.cl($page['title']).' - '.shtDate($page['date']); ?>" href="edit.php?id=<?php echo $page['url']; ?>"><?php echo cl($page['title']); ?></a></td>
<?php } else { ?>
    <td><?php echo $page['url']; ?></td>
<?php } ?>
    <td style="width:10%;text-align:right"><?php hitcount_show_amount($page['hits'],$maxhits); ?></td>
  </tr>
<?php } ?>
  </table>
  <form method="post">
    <input type="hidden" name="id" value="hitcount"/>
    <input type="submit" name="hitcount_reset" value="Reset"/>
  </form>
 

