<?php

function hitcount_overview_impl() {
  if (isset($_REQUEST['hitcount_reset'])) hitcount_reset();
  if (isset($_REQUEST['hitcount_time'])) {
    hitcount_show_time();
  } else if (isset($_REQUEST['hitcount_referers'])) {
    hitcount_show_referers();
  } else if (isset($_REQUEST['hitcount_useragents'])) {
    hitcount_show_useragents();
  } else if (isset($_REQUEST['hitcount_duration'])) {
    hitcount_show_duration();
  } else if (isset($_REQUEST['hitcount_os'])) {
    hitcount_show_os();
  } else if (isset($_REQUEST['hitcount_browsers'])) {
    hitcount_show_browsers();
  } else if (isset($_REQUEST['hitcount_languages'])) {
    hitcount_show_languages();
  } else {
    hitcount_show_hitcounts();
  }
}

function hitcount_show_links($current) {
  $link = "load.php?id=hitcount";
  echo "<div class=\"edit-nav\">";
  echo "<a href=\"{$link}&hitcount_hitcounts=1\"".($current=='hitcounts'?' class="current"':'').">Hits</a> ";
  if (false) echo "<a href=\"{$link}&hitcount_time=1\"".($current=='time'?' class="current"':'').">Time</a> ";
  echo "<a href=\"{$link}&hitcount_referers=1\"".($current=='referers'?' class="current"':'').">Referers</a> ";
  echo "<a href=\"{$link}&hitcount_useragents=1\"".($current=='useragents'?' class="current"':'').">User agents</a> ";
  echo "<a href=\"{$link}&hitcount_duration=1\"".($current=='duration'?' class="current"':'').">Duration</a> ";
  echo "<a href=\"{$link}&hitcount_os=1\"".($current=='os'?' class="current"':'').">OS</a> ";
  echo "<a href=\"{$link}&hitcount_browsers=1\"".($current=='browsers'?' class="current"':'').">Browsers</a> ";
  echo "<a href=\"{$link}&hitcount_languages=1\"".($current=='languages'?' class="current"':'').">Languages</a> ";
  echo "<div class=\"clear\"></div></div>";
}

function hitcount_show_amount($num, $max) {
	if ($max) {
		$perc = (int) (100 * $num / $max);
		echo "<div style=\"position:relative\">&nbsp;<div style=\"position:absolute;z-index:5;top:0;width:100%\">$num</div><div style=\"position:absolute;left:0;top:0.7em;width:$perc%;height:40%;background-color:#eec6b9;z-index:1\"></div></div>";
	} else {
		echo $num;
	}
}

function hitcount_show_time() {
?>
  <label>Hits &amp; Visitors over Time</label><?php hitcount_show_links('time'); ?>
<?php
}

function hitcount_show_referers() {
  include(GSPLUGINPATH.'hitcount/referers.php');
}

function hitcount_show_useragents() {
  include(GSPLUGINPATH.'hitcount/useragents.php');
}

function hitcount_show_os() {
  include(GSPLUGINPATH.'hitcount/os.php');
}

function hitcount_show_browsers() {
  include(GSPLUGINPATH.'hitcount/browsers.php');
}

function hitcount_show_languages() {
  include(GSPLUGINPATH.'hitcount/languages.php');
}

function hitcount_show_duration() {
  include(GSPLUGINPATH.'hitcount/duration.php');
}

function hitcount_show_hitcounts() {
  include(GSPLUGINPATH.'hitcount/hitcounts.php');
}


